Changes for 2.1.0 (Rev:6777) GA

2014-12-19  Financial System Products Dept.

	* Job Arranger : ジョブの実行ユーザー指定機能を追加。
	* Job Arranger : オブジェクトの有効化・無効化、および削除時の関連データエラー画面を追加。
	* Job Arranger : 実行ジョブ管理画面のジョブネット一覧リストに実行中ジョブIDを追加。
	* Job Arranger : ジョブアイコンに処理継続オプションを追加。
	* Job Arranger : リブートアイコンにタイムアウト警告オプションを追加。
	* Job Arranger : 終了アイコンの終了コードにジョブコントローラ変数の指定を追加。
	* Job Arranger : 稼働日フィルター画面を追加。
	* Job Arranger : 一般設定画面を追加。
	* Job Arranger : ジョブサーバ再起動時の拡張ジョブアイコン処理継続に対応。
	* Job Arranger : Zabbixエラー通知失敗時のリトライ機能を追加。
	* Job Arranger : 実行待ち（予約状態）ジョブネットの開始予定時刻変更機能を追加。
	* Job Arranger : 実行待ち（予約状態）ジョブネットの起動保留と起動保留解除機能を追加。
	* Job Arranger : アイコンのバルーン表示内容を詳細化。
	* Job Arranger : ジョブマネージャの内部時刻同期機能を追加。
	* Job Arranger : 新規ファイル作成時のファイル作成ダイアログ表示を廃止。
	* Job Arranger : 実行ジョブ管理画面の状況欄色を文字単位から項目単位に変更。
	* Job Arranger : オブジェクト一覧画面のリスト行コンテキストメニューに「即時実行」、
	「保留実行」、「テスト実行」を追加。
	* Job Arranger : ジョブネットのコピー新規でコピー元ジョブネットをサブジョブネットとして
	利用可能に変更。
	* Job Arranger : ジョブ編集画面での複数アイコン選択時に「フロー削除」、「保留」、
	「保留解除」、「スキップ」、「スキップ解除」を利用可能に変更。
	* Job Arranger : アイコン設定画面の背景色の不備に対応。
	* Job Arranger : ジョブマネージャーにおいてDB復旧後の自動再接続に対応。
	* Job Arranger : ジョブエージェントの対応OSに Windows Server 2012 R2 を追加。
	* Job Arranger : AIX 5.3（64bit）版ジョブエージェントを公開。
	* Job Arranger : HP-UX 11i v2（64bit）版ジョブエージェントを公開。
	* Job Arranger : json-c のソースバージョン v0.10、v0.11、v0.12 に対応。
	* Job Arranger : 最新のODBCドライバである、MySQL Connector/ODBC 5.3.4 および
	PostgreSQL ODBC Driver 9.3.4 に対応。
	* Job Arranger : ジョブマネージャー、およびWindows版ジョブエージェントのアップデート
	インストールに対応。
	* Job Arranger : ジョブアイコンとエージェントレスアイコンで取得可能な標準出力と
	標準エラーの最大データ長を64000バイトに変更。
	* Job Arranger : コンフィグファイルのテンポラリディレクトリ（TmpDir）の初期値を
	「/var/lib/jobarranger/tmp」に変更。
	* Job Arranger : ジョブサーバとジョブモニターの一括起動シェル（jobarg-all）を追加。
	* Job Arranger : エージェントレスアイコンのログインID、パスワードで「$」文字の
	エスケープ処理を追加。
	* jajobfile.c : ジョブエージェントでファイル書込み遅延発生時にジョブがエラーとなる
	不具合に対応。

Changes for 2.0.1 (Rev:6308) GA

2014-07-16  Financial System Products Dept.

	* Job Arranger : SSH接続ポートの規定値を22に固定、およびSSHポート指定にホストマクロ
	「{$JOBARRANGER_SSH_PORT}」を追加。

Changes for 2.0.0 (Rev:6093) GA

2014-07-11  Financial System Products Dept.

	* Job Arranger : エージェントレスアイコンを追加。
	* Job Arranger : Zabbix連携アイコンを追加。
	* Job Arranger : ジョブネットの多重起動抑止機能を追加。
	* Job Arranger : スケジュールのカレンダー登録にサイクル起動を追加。
	* Job Arranger : ジョブエージェント、ジョブサーバ、ジョブモニターのコンフィグファイル
	にプロセス実行ユーザー（JaExecutionUser）を追加。
	* Job Arranger : コンフィグファイルのテンポラリディレクトリ（TmpDir）の初期値を
	「/var/tmp」に変更。
	* Job Arranger : PDFによるマニュアルの公開を廃止。
	* Job Arranger : CentOS 6 (32Bit)＋MySQL の環境で jobarranger-server-mysql-*.i386.rpm
	パッケージのインストール時に依存性の欠如エラーが発生する不具合に対応。
	* jajobiconextjob.c : 拡張ジョブアイコンが強制停止できない不具合に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.ScheduleEdit.ScheduleEdit.xaml.cs :
	有効化されたスケジュールの起動時刻が変更できる不具合に対応。

Changes for 1.4.2 (Rev:5870) GA

2014-03-13  FitechForce Business Dept.

	* Job Arranger : ジョブアイコン、ファイル転送アイコン、ファイル待合せアイコン、
	リブートアイコンにホスト無効時の強制実行を追加。
	* Job Arranger : ジョブ実行結果画面とjobarg_joblogputコマンドの状況欄をマルチ言語化。
	* jobarg_exec.c : ジョブネット実行コマンド（jobarg_exec）にオプション「-D」を追加。
	* jaruniconreboot.c : ホスト無効時にリブートアイコンがフリーズする不具合に対応。
	* jp.co.ftf.jobcontroller.JobController.LoginWindow.xaml.cs :
	Zabbix2.x系でPostgreSQLを使用している場合、拡張ジョブアイコンで拡張ジョブの
	プルダウンがすべて空白となる不具合に対応。

Changes for 1.4.1 (Rev:5710) GA

2014-01-06  FitechForce Business Dept.

	* jakill.c : ジョブアイコンの強制停止時にユーザープロセスのKillに失敗すると
	ジョブエージェントがダウンする不具合に対応。

Changes for 1.4.1 (Rev:5658) GA

2013-12-18  FitechForce Business Dept.

	* Job Arranger : ジョブ実行結果画面を追加。
	* Job Arranger : ファイル待合せアイコンを追加。
	* Job Arranger : 保留解除アイコンを追加。
	* Job Arranger : 事前保留機能を追加。
	* Job Arranger : 事前スキップ機能を追加。
	* Job Arranger : 拡張ジョブアイコンのコマンド名と説明のマルチ言語化に対応。
	* Job Arranger : CentOS（RHEL）6.X 32bit版のrpmパッケージを追加。
	* jaruniconinfo.c : カレンダー稼働日参照機能を追加。
	* jajobnetready.c : ジョブコントローラ変数に「JOBNET_BOOT_TIME」、
	「CURRENT_TIME」、「MANAGEMENT_ID」を追加。
	* jaruniconvalue.c : ジョブコントローラ変数アイコンの値に変数名指定を追加。
	* jarunicontask.c : ループフロー内でのタスクアイコンの実行を許可。
	* jobarg_joblogput.c : ジョブ実行結果取得コマンド（jobarg_joblogput）を追加。
	* jobarg_release.c : 保留解除コマンド（jobarg_release）を追加。
	* server.c : ジョブアイコン・タイムアウトチェック間隔（JaJobTimeout）の最少値を
	「30」から「0」に変更。
	* jobarg_get.c : ジョブネット情報取得コマンド（jobarg_get）にオプション「-e」
	を追加。また、取得結果と戻り値の内容を変更。
	* jaflow.c : 並行処理終了アイコンで次アイコンに処理を継続しない不具合に対応。
	* jarun.c : ジョブネット強制停止時にループ処理が停止しない不具合に対応。
	* jaruniconextjob.c : サブジョブネットで拡張ジョブアイコン（TIME）が
	開始時刻取得エラーとなる不具合に対応。
	* jobarranger.spec : MySQL版rpmパッケージによるインストール時のエラーに対応。
	* jobarranger.spec : rpmパッケージによるジョブサーバーのインストール時に
	「/var/tmp/jobarranger」を作成しない不具合に対応。
	* jobarranger.spec : 「jobarg_monitor.log」のログローテーション漏れに対応。
	* Job Arranger : ジョブエラー停止時のログメッセージ（RUNERR）の
	メッセージフォーマットを変更。
	* Job Manager : ジョブマネージャーの対応OSに Windows 7 と Windows 8 を追加。
	* Job Manager : インポート時のオブジェクト依存性チェックを廃止。
	* Job Manager : ジョブ実行結果のCSVファイル出力画面を追加。
	* Job Manager : ジョブIDにアンダーバーの利用を許可。
	* Job Manager : ジョブネットアイコンの登録時、ジョブIDにジョブネット名を
	自動設定する方式に変更。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.Container.xaml.cs :
	ジョブ編集画面でのアイコンコピー＆ペースト、および操作取り消し（Undo）に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.JobManager.JobnetExecControlAllPage.xaml :
	実行ジョブ管理画面のリスト項目に管理IDを追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobManager.ParameterView.xaml :
	実行ジョブ詳細画面の変数表示ダイアログのサイズを変更。
	* jp.co.ftf.jobcontroller.DAO.JobnetControlDAO.cs :
	DBにPostgreSQLを使用している場合、情報取得アイコンのジョブID登録でエラーが発生する
	不具合に対応。

Changes for 1.3.0 GA

2013-07-08  FitechForce Business Dept.

	* Job Arranger : リブートアイコンを追加。
	* jobarg_monitor.c : ジョブモニター機能を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.Container.xaml.csJobRun
	(Object JobId): ジョブ編集画面のコンテキストメニューに「ジョブ起動(J)」を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.Container.xaml :
	ジョブフローを縮小表示するズームバーを追加。
	* jp.co.ftf.jobcontroller.JobController.Form.ScheduleEdit.ScheduleEdit.xaml :
	スケジュール編集画面のカレンダーリストにカレンダーIDを追加。
	* jp.co.ftf.jobcontroller.JobController.JobArrangerWindow.xaml :
	オブジェクト一覧画面のコンテキストメニューに「即時起動(R)」、「保留実行(W)」、
	「テスト実行(T)」を追加。

Changes for 1.2.1 GA

2013-05-02  FitechForce Business Dept.

	* Job Arranger : Zabbix 2.0.x に対応。
	* Job Arranger : 参照専用のジョブマネージャーを追加。
	* Job Arranger : アイコン実行エラー時のログメッセージを格納する
	ジョブコントローラ変数（JOBARG_MESSAGE）を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.FCopySample :
	ファイル転送アイコンのデザインを変更。
	* jatelegram.c : ジョブアイコンの強制停止に失敗する不具合に対応。

Changes for 1.2.0 GA

2013-03-15  FitechForce Technology Dept.

	* Job Arranger : リリース版として公開。

Changes for 1.1.0 RC

2013-02-28  FitechForce Technology Dept.

	* Job Arranger : ファイル転送アイコンを追加。
	* jp.co.ftf.jobcontroller.JobController.ObjectList.xaml.cs
	 (MenuitemCopyNew_Click): オブジェクト一覧のコンテキストメニューに
	「コピー新規(C)」を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.ScheduleEdit.Container.xaml.cs
	 (DataGrid_CellEditEnded): スケジュールの起動時刻の編集機能を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.ScheduleEdit.Container.xaml.cs
	 (DataGrid_CellEditEnded): エクスポート画面、インポート画面、稼働日ファイル
	読込み画面のファイル未選択登録でエラーが発生する不具合に対応。
	* jp.co.ftf.jobcontroller.DAO.RunJobnetSummaryDAO.cs: 実行ジョブ管理画面の
	リスト行位置がランダムに変化する不具合に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.CalendarEdit.CalendarEdit.xaml.cs
	 (cancel_Click): カレンダー、スケジュール、ジョブの編集画面でキャンセル
	ボタン押下時に確認ダイアログの表示を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.JobSetting.xaml.cs
	 (Toroku): ジョブ編集画面で削除アイコンのジョブIDが再利用できない不具合に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.EnvSetting.xaml.cs
	 (btnToroku_Click): ジョブIDを変更すると登録済みの変数が削除される不具合に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.ScheduleEdit.Container.xaml.cs
	 (OnPreviewKeyDown): Deleteキーによるスケジュール編集画面のリスト行削除と
	ジョブ編集画面のアイコン削除に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.CalendarEdit.Container.xaml.cs
	 (Container、SetYearCalendarDetail): カレンダー初期登録画面により初期値を登録後、
	個別に変更した稼働日が反映されない不具合に対応。
	* jobarg_exec.c (parse_commandline): jobarg_exec のパラメータより「-s」と「-I」
	を削除。
	* jobarg_get.c : jobarg_exec で起動したジョブネットの情報を表示する jobarg_get
	コマンドを追加。

Changes for 1.0.0 GA (Official release)

2012-12-28  FitechForce Technology Dept.

	* Job Arranger : 英語表記に対応。
	* Job Arranger : PostgreSQLに対応。
	* jp.co.ftf.jobcontroller.JobController.Form.JobManager.Container.xaml.cs
	 (IsStopEnable、IsReStartEnable): 拡張ジョブアイコンの強制停止と
	再実行に対応。
	* jp.co.ftf.jobcontroller.JobController.Form.JobManager.
	JobnetExecControlPage.xaml.cs (AllStopCommandBinding_Executed): 
	実行予定のジョブネットに対する実行キャンセルを追加。
	* Job Arranger Manager.msi : 上書きインストールに対応。
	* jp.co.ftf.jobcontroller.JobController.LoginWindow.xaml.cs (login): 
	Zabbixのユーザーグループが無効の場合はログイン不可に変更。
	* jp.co.ftf.jobcontroller.JobController.ObjectList.xaml.cs (SetList): 
	オブジェクト一覧にオブジェクトのユーザーIDを表示。
	* jp.co.ftf.jobcontroller.JobController.Form.JobManager.
	JobnetExecControlPage.xaml.cs (createJobnetExecInfo): 
	ジョブネット運行情報の状況欄に「展開エラー」の表示を追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.JobSetting.xaml.cs
	 (btnDel_Click): ジョブコントローラ変数アイコンとジョブアイコンの
	設定画面に変数の削除ボタンを追加。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.Container.xaml.cs
	 (Container_MouseMove): マウスによるアイコンの範囲選択時、
	カーソルによる自動スクロールに対応。
	* jatrapper.c (process_jatrapper): DB接続タイミングを変更。
	* jp.co.ftf.jobcontroller.JobController.Form.CalendarEdit.CalendarEdit.
	xaml.cs (SetHealthCheck): MySQLのコネクションタイムアウトに対応。
	* jp.co.ftf.jobcontroller.JobController.ObjectList.xaml : 
	オブジェクト一覧で有効に設定された行のカラー表示に対応。
	* jp.co.ftf.jobcontroller.JobController.Properties.Resources.resx : 
	オブジェクト一覧のコンテキストメニュー「コピー新規(C)」を
	「新バージョン作成(V)」に名称変更。
	* jp.co.ftf.jobcontroller.JobController.Form.JobEdit.Container.xaml.cs
	 (OnPreviewKeyDown): アイコンの矢印キー移動に対応。

Changes for 0.9.2 Beta

2012-12-14  FitechForce Technology Dept.

	* jobarg_agentd.c (jobarg_load_config): ジョブエージェントの
	rootユーザー起動に対応。
	* jatrapper.c (process_jatrapper): MySQLのコネクションタイムアウトに
	対応。
	* jatrapper.c (process_jatrap): メモリリークに対応
	* JobnetExecControlPage.xaml.cs (viewJobnetList、viewErrJobnetList、
	viewRunningJobnetList): 実行ジョブ管理画面のリスト行選択表示不備に
	対応。
	* ScheduleEdit.xaml : ウインドウサイズ変更による画面表示不備に対応。
	* IfSetting.xaml.cs (InputCheck): アイコン設定の変数値入力に日本語を
	許可。
	* CalendarEdit.xaml.cs (LoadForAdd): カレンダーIDとスケジュールIDの
	初期フォーマットを「プレフィックス」+「_」+「連番」に変更。
	* ObjectList.xaml.cs (ConformJobnetCheck): ジョブネットの有効化で
	開始アイコンと終了アイコンの存在チェックを追加。
	* JobArrangerWindow.xaml.cs (Jobnet_MouseLeftButtonDown): ジョブネット
	アイコンで自ジョブネットを選択不可に変更。

Changes for 0.9.1 Beta

2012-12-05  FitechForce Technology Dept.

	* Job Arranger Agent.msi (Job Arranger Agent): Visual Studio が
	未インストールの環境でセットアップに失敗する不具合に対応。
	* jaruniconjob.c (jarun_icon_job): ジョブアイコンのジョブ変数値に
	ジョブコントローラ変数の指定を追加。
	* server.c (zbx_load_config): コンフィグファイルに指定された
	未知のパラメータを無視するように変更。
	* Setup.vdproj (jobarg_manager): ジョブマネージャーのセットアップで
	ログディレクトリの指定を追加。
	* CommonItem.xaml.cs (UserControl_MouseMove): ジョブ編集画面でマウス
	による複数アイコン同時選択機能を追加。

Changes for 0.9.0 Beta

	* Job Arranger : Beta release

